REGFI_CLASSNAME Struct Reference
Base Layer: Essential Functions and Data Structures

Class name structure (used in storing SysKeys) More...

## Data Fields

uint32_t | offset
| Real offset of this record's cell in the file.
char * | interpreted
| As converted to requested REGFI_ENCODING.
uint8_t * | raw
| Represents raw buffer read from classname cell. More...
uint16_t | size
| Length of the raw data. More...

## Detailed Description

Class name structure (used in storing SysKeys)

## Field Documentation

## raw

uint8_t* REGFI_CLASSNAME::raw

Represents raw buffer read from classname cell.

Length of this item is specified in the size field.

## size

uint16_t REGFI_CLASSNAME::size

Length of the raw data.

May be shorter than that indicated by parent key.

The documentation for this struct was generated from the following file:

- regfi.h